Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager.communities.invitations.notification
Class NotificationInviter

    java.lang.Object
      com.bea.netuix.servlets.manager.communities.invitations.notification.NotificationInviter

All Implemented Interfaces
  CommunityInviter, Serializable

    public class NotificationInviter

extends Object
implements CommunityInviter

A simple community inviter implementation which sends invitations over notifications. The notifications sent by this implementation have the following characteristics:

- NotificationPayload.namespace = "com.bea.netuix.application.communities"
- NotificationPayload.name = "invitation"
- NotificationPayload.payload = a cryptic string containing information accessible using the `NotificationInvitationHelper` class.
- NotificationPayload.targetWebAppName = (specified during NotificationInvitor construction)
- NotificationPayload.sourceWebAppName = The community webapp name
- NotificationPayload.sourcePortalPath = The community portal path
- NotificationPayload.sourceDesktopPath = The community desktop path
- NotificationPayload.sourceDesktopInstanceTitle = `null`
- NotificationPayload.sourcePortletDefinitionLabel = `null`
- NotificationPayload.sourcePortletInstanceLabel = `null`
- NotificationPayload.selfDestruct = The invitation self destruct flag
- NotificationPayload.expirationDate = The expiration date for the invitation

Because notifications can only be sent to WLS users, any invitees without WLS usernames will be skipped and no notification-based invitation will be sent to them.

The overview of community functionality contains a description of the community framework.

See Also
  `NotificationInvitationHelper`, Serialized Form

Field Summary
`static String` | `NOTIFICATION_NAME` The name of the notifications sent by this inviter implementation.
`static String` | `NOTIFICATION_NAMESPACE` The namespace of the notifications sent by this inviter implementation.

Constructor Summary
`NotificationInviter()` Default constructor for a NotificationInvitor which sends notifications globally scoped (not scoped to a particular webapp).
`NotificationInviter(String targetWebApp)` Constructor allowing specification of the target webapp for notifications.

Method Summary
`void` | `destroy()` Allows `InvitationValidationTextGenerator` implementations the opportunity to release any resources obtained during init or to perform any necessary cleanup operations.
`void` | `init(InvitationDetails details)` Called by the framework to initialize resources.
`void` | `sendInvitations(InviteeIterator invitees)` Sends individual invitations to the set of `Invitees` contained within the input `InviteeIterator`, according to the details for the invitation as contained in the input `InvitationDetails` argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOTIFICATION_NAMESPACE

    public static final String NOTIFICATION_NAMESPACE

  The namespace of the notifications sent by this inviter implementation.

  See Also
    Constants Summary

### NOTIFICATION_NAME

    public static final String NOTIFICATION_NAME

  The name of the notifications sent by this inviter implementation.

  See Also
    Constants Summary

Constructor Detail

### NotificationInviter

    public NotificationInviter()

  Default constructor for a NotificationInvitor which sends notifications globally scoped (not scoped to a particular webapp).

### NotificationInviter

    public NotificationInviter(String targetWebApp)

  Constructor allowing specification of the target webapp for notifications.

  Parameters
    `targetWebApp` - the target web application name to send notifications to. If `null`, the notification is globally scoped.

Method Detail

### init

    public void init(InvitationDetails details)
              throws InviteException

  Called by the framework to initialize resources.

  Specified by:
    `init` in interface `CommunityInviter`
  Parameters
    `details` - the specific details of the invitation
  Throws
    `InviteException`

### sendInvitations

    public void sendInvitations(InviteeIterator invitees)
                         throws InviteException

  Sends individual invitations to the set of `Invitees` contained within the input `InviteeIterator`, according to the details for the invitation as contained in the input `InvitationDetails` argument.

  Specified by:
    `sendInvitations` in interface `CommunityInviter`
  Parameters
    `invitees` - an iterator containing all invitees to invite
  Throws
    `InviteException`

### destroy

    public void destroy()

  Allows `InvitationValidationTextGenerator` implementations the opportunity to release any resources obtained during init or to perform any necessary cleanup operations.

  Specified by:
    `destroy` in interface `CommunityInviter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.